summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-shells/ash/ash-1.6.ebuild3
-rw-r--r--app-shells/bash-completion/bash-completion-20040526-r2.ebuild12
-rw-r--r--app-shells/bash-completion/bash-completion-20040526.ebuild13
-rw-r--r--app-shells/bash/bash-2.05b-r5.ebuild10
-rw-r--r--app-shells/bash/bash-2.05b-r7.ebuild10
-rw-r--r--app-shells/bash/bash-2.05b-r8.ebuild10
-rw-r--r--app-shells/bash/bash-2.05b-r9.ebuild4
-rw-r--r--app-shells/bashish/bashish-1.9.21.ebuild5
-rw-r--r--app-shells/ccsh/ccsh-0.0.4-r2.ebuild26
-rw-r--r--app-shells/dash/dash-0.4.24.ebuild10
-rw-r--r--app-shells/dash/dash-0.4.26.ebuild10
-rw-r--r--app-shells/esh/esh-0.8-r2.ebuild32
-rw-r--r--app-shells/esh/esh-0.8.5.ebuild31
-rw-r--r--app-shells/ksh/ksh-93.20030724.ebuild6
-rw-r--r--app-shells/ksh/ksh-93.20040229.ebuild4
-rw-r--r--app-shells/pdksh/pdksh-5.2.14-r4.ebuild8
-rw-r--r--app-shells/posh/posh-0.2.28.ebuild14
-rw-r--r--app-shells/psh/psh-0.009-r1.ebuild19
-rw-r--r--app-shells/psh/psh-0.009-r2.ebuild7
-rw-r--r--app-shells/psh/psh-1.8.ebuild6
-rw-r--r--app-shells/rrs/rrs-1.50.ebuild4
-rw-r--r--app-shells/rrs/rrs-1.55.ebuild7
-rw-r--r--app-shells/rrs/rrs-1.70.ebuild7
-rw-r--r--app-shells/rssh/rssh-2.2.1.ebuild4
-rw-r--r--app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild6
-rw-r--r--app-shells/sash/sash-3.6.ebuild6
-rw-r--r--app-shells/sash/sash-3.7.ebuild4
-rw-r--r--app-shells/scsh/scsh-0.6.1-r1.ebuild9
-rw-r--r--app-shells/scsh/scsh-0.6.3.ebuild8
-rw-r--r--app-shells/scsh/scsh-0.6.4.ebuild8
-rw-r--r--app-shells/scsh/scsh-0.6.5.ebuild9
-rw-r--r--app-shells/smrsh/smrsh-8.12.10.ebuild9
-rw-r--r--app-shells/tcsh/tcsh-6.11.ebuild25
-rw-r--r--app-shells/tcsh/tcsh-6.12-r2.ebuild17
-rw-r--r--app-shells/tcsh/tcsh-6.12-r3.ebuild6
-rw-r--r--app-shells/zsh/zsh-4.0.9-r3.ebuild6
-rw-r--r--app-shells/zsh/zsh-4.1.1-r4.ebuild4
-rw-r--r--app-shells/zsh/zsh-4.1.1-r5.ebuild4
-rw-r--r--app-shells/zsh/zsh-4.2.0.ebuild17
39 files changed, 193 insertions, 207 deletions
diff --git a/app-shells/ash/ash-1.6.ebuild b/app-shells/ash/ash-1.6.ebuild
index 36840dad0f0d..3b491e821f22 100644
--- a/app-shells/ash/ash-1.6.ebuild
+++ b/app-shells/ash/ash-1.6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/ash/ash-1.6.ebuild,v 1.11 2004/06/24 22:22:44 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/ash/ash-1.6.ebuild,v 1.12 2004/06/29 03:50:32 vapier Exp $
inherit eutils
@@ -27,6 +27,7 @@ src_unpack() {
-f ${DISTDIR}/bin.tar.gz src/bin/sh)
epatch ${DISTDIR}/dash-ash-hetio-yacc.diff.bz2
}
+
src_compile() {
# pmake name conflicts, use full path
/usr/bin/pmake CFLAGS:="-Wall -DBSD=1 -D_GNU_SOURCE -DGLOB_BROKEN \
diff --git a/app-shells/bash-completion/bash-completion-20040526-r2.ebuild b/app-shells/bash-completion/bash-completion-20040526-r2.ebuild
index d1e833fe4577..10deeee8a5a8 100644
--- a/app-shells/bash-completion/bash-completion-20040526-r2.ebuild
+++ b/app-shells/bash-completion/bash-completion-20040526-r2.ebuild
@@ -1,25 +1,25 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/bash-completion-20040526-r2.ebuild,v 1.2 2004/06/24 22:23:06 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/bash-completion-20040526-r2.ebuild,v 1.3 2004/06/29 03:51:30 vapier Exp $
GENCOMP_VERS="1.0_beta"
-DESCRIPTION="Programmable Completion for bash (includes emerge and ebuild commands)."
+DESCRIPTION="Programmable Completion for bash (includes emerge and ebuild commands)"
HOMEPAGE="http://www.caliban.org/bash/index.shtml#completion"
SRC_URI="http://www.caliban.org/files/bash/${P}.tar.bz2
mirror://sourceforge/gentoo-bashcomp/gentoo-bashcomp-${GENCOMP_VERS}.tar.gz"
-SLOT="0"
LICENSE="GPL-2"
+SLOT="0"
KEYWORDS="~x86 ~ppc ~sparc ~alpha ~mips ~hppa ~amd64 ~s390"
-
-S=${WORKDIR}/${PN/-/_}
+IUSE=""
DEPEND="app-arch/tar
app-arch/bzip2"
-
RDEPEND=">=app-shells/bash-2.05a"
+S=${WORKDIR}/${PN/-/_}
+
src_install() {
insinto /etc
doins bash_completion
diff --git a/app-shells/bash-completion/bash-completion-20040526.ebuild b/app-shells/bash-completion/bash-completion-20040526.ebuild
index 45b89d7ebad6..a660c4216eca 100644
--- a/app-shells/bash-completion/bash-completion-20040526.ebuild
+++ b/app-shells/bash-completion/bash-completion-20040526.ebuild
@@ -1,21 +1,22 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/bash-completion-20040526.ebuild,v 1.3 2004/06/24 22:23:06 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash-completion/bash-completion-20040526.ebuild,v 1.4 2004/06/29 03:51:30 vapier Exp $
-S=${WORKDIR}/${PN/-/_}
-DESCRIPTION="Programmable Completion for bash (includes emerge and ebuild commands)."
+DESCRIPTION="Programmable Completion for bash (includes emerge and ebuild commands)"
HOMEPAGE="http://www.caliban.org/bash/index.shtml#completion"
SRC_URI="http://www.caliban.org/files/bash/${P}.tar.bz2"
-SLOT="0"
LICENSE="GPL-2"
-KEYWORDS="x86 ppc sparc alpha mips hppa amd64 s390"
+SLOT="0"
+KEYWORDS="x86 ppc sparc mips alpha hppa amd64 s390"
+IUSE=""
DEPEND="app-arch/tar
app-arch/bzip2"
-
RDEPEND=">=app-shells/bash-2.05a"
+S=${WORKDIR}/${PN/-/_}
+
src_install() {
insinto /etc
doins bash_completion
diff --git a/app-shells/bash/bash-2.05b-r5.ebuild b/app-shells/bash/bash-2.05b-r5.ebuild
index 7a93cd18d95e..74f481574197 100644
--- a/app-shells/bash/bash-2.05b-r5.ebuild
+++ b/app-shells/bash/bash-2.05b-r5.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r5.ebuild,v 1.12 2004/06/24 22:22:55 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r5.ebuild,v 1.13 2004/06/29 03:51:06 vapier Exp $
inherit eutils flag-o-matic
@@ -8,14 +8,14 @@ inherit eutils flag-o-matic
PLEVEL="x002 x003 x004"
DESCRIPTION="The standard GNU Bourne again shell"
+HOMEPAGE="http://www.gnu.org/software/bash/bash.html"
SRC_URI="mirror://gnu/bash/${P}.tar.gz
mirror://gentoo/${P}-gentoo.diff.bz2
${PLEVEL//x/mirror://gnu/bash/bash-${PV}-patches/bash${PV/\.}-}"
-HOMEPAGE="http://www.gnu.org/software/bash/bash.html"
-SLOT="0"
LICENSE="GPL-2"
-KEYWORDS="amd64 x86 ppc sparc ~alpha mips hppa"
+SLOT="0"
+KEYWORDS="x86 ppc sparc mips ~alpha hppa amd64"
IUSE="nls build"
DEPEND=">=sys-libs/ncurses-5.2-r2"
@@ -76,7 +76,7 @@ src_install() {
&& rm -rf ${D}/usr \
|| ( \
doman doc/*.1
- dodoc README NEWS AUTHORS CHANGES COMPAT COPYING Y2K
+ dodoc README NEWS AUTHORS CHANGES COMPAT Y2K
dodoc doc/FAQ doc/INTRO
ebegin "creating info symlink"
diff --git a/app-shells/bash/bash-2.05b-r7.ebuild b/app-shells/bash/bash-2.05b-r7.ebuild
index 951fa78c8e8c..ded715677455 100644
--- a/app-shells/bash/bash-2.05b-r7.ebuild
+++ b/app-shells/bash/bash-2.05b-r7.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r7.ebuild,v 1.16 2004/06/24 22:22:55 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r7.ebuild,v 1.17 2004/06/29 03:51:06 vapier Exp $
inherit eutils flag-o-matic
@@ -8,14 +8,14 @@ inherit eutils flag-o-matic
PLEVEL="x002 x003 x004 x005 x006 x007"
DESCRIPTION="The standard GNU Bourne again shell"
+HOMEPAGE="http://www.gnu.org/software/bash/bash.html"
SRC_URI="mirror://gnu/bash/${P}.tar.gz
mirror://gentoo/${P}-gentoo.diff.bz2
${PLEVEL//x/mirror://gnu/bash/bash-${PV}-patches/bash${PV/\.}-}"
-HOMEPAGE="http://www.gnu.org/software/bash/bash.html"
-SLOT="0"
LICENSE="GPL-2"
-KEYWORDS="x86 ppc sparc alpha hppa mips amd64 ia64 ppc64"
+SLOT="0"
+KEYWORDS="x86 ppc sparc mips alpha hppa amd64 ia64 ppc64"
IUSE="nls build"
DEPEND=">=sys-libs/ncurses-5.2-r2"
@@ -79,7 +79,7 @@ src_install() {
&& rm -rf ${D}/usr \
|| ( \
doman doc/*.1
- dodoc README NEWS AUTHORS CHANGES COMPAT COPYING Y2K
+ dodoc README NEWS AUTHORS CHANGES COMPAT Y2K
dodoc doc/FAQ doc/INTRO
ebegin "creating info symlink"
diff --git a/app-shells/bash/bash-2.05b-r8.ebuild b/app-shells/bash/bash-2.05b-r8.ebuild
index a7838619bdd2..76abb64e90b9 100644
--- a/app-shells/bash/bash-2.05b-r8.ebuild
+++ b/app-shells/bash/bash-2.05b-r8.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r8.ebuild,v 1.6 2004/06/24 22:22:55 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r8.ebuild,v 1.7 2004/06/29 03:51:07 vapier Exp $
inherit eutils flag-o-matic gnuconfig
@@ -8,14 +8,14 @@ inherit eutils flag-o-matic gnuconfig
PLEVEL="x002 x003 x004 x005 x006 x007"
DESCRIPTION="The standard GNU Bourne again shell"
+HOMEPAGE="http://www.gnu.org/software/bash/bash.html"
SRC_URI="mirror://gnu/bash/${P}.tar.gz
mirror://gentoo/${P}-gentoo.diff.bz2
${PLEVEL//x/mirror://gnu/bash/bash-${PV}-patches/bash${PV/\.}-}"
-HOMEPAGE="http://www.gnu.org/software/bash/bash.html"
-SLOT="0"
LICENSE="GPL-2"
-KEYWORDS="~x86 ~ppc ~sparc ~alpha ~hppa ~mips ~amd64 ~ia64 ppc64"
+SLOT="0"
+KEYWORDS="~x86 ~ppc ~sparc ~mips ~alpha ~hppa ~amd64 ~ia64 ppc64"
IUSE="nls build"
DEPEND=">=sys-libs/ncurses-5.2-r2"
@@ -84,7 +84,7 @@ src_install() {
&& rm -rf ${D}/usr \
|| ( \
doman doc/*.1
- dodoc README NEWS AUTHORS CHANGES COMPAT COPYING Y2K
+ dodoc README NEWS AUTHORS CHANGES COMPAT Y2K
dodoc doc/FAQ doc/INTRO
ebegin "creating info symlink"
diff --git a/app-shells/bash/bash-2.05b-r9.ebuild b/app-shells/bash/bash-2.05b-r9.ebuild
index e651c70dfb30..b92e5252d44a 100644
--- a/app-shells/bash/bash-2.05b-r9.ebuild
+++ b/app-shells/bash/bash-2.05b-r9.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r9.ebuild,v 1.15 2004/06/24 22:22:55 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bash/bash-2.05b-r9.ebuild,v 1.16 2004/06/29 03:51:07 vapier Exp $
inherit eutils flag-o-matic gnuconfig
@@ -15,7 +15,7 @@ SRC_URI="mirror://gnu/bash/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="x86 ppc ppc64 sparc mips alpha arm hppa amd64 ia64 s390"
+KEYWORDS="x86 ppc sparc mips alpha arm hppa amd64 ia64 ppc64 s390"
IUSE="nls build uclibc"
DEPEND=">=sys-libs/ncurses-5.2-r2"
diff --git a/app-shells/bashish/bashish-1.9.21.ebuild b/app-shells/bashish/bashish-1.9.21.ebuild
index 26663372aa8a..1ec75f3611c3 100644
--- a/app-shells/bashish/bashish-1.9.21.ebuild
+++ b/app-shells/bashish/bashish-1.9.21.ebuild
@@ -1,14 +1,15 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/bashish/bashish-1.9.21.ebuild,v 1.5 2004/06/24 22:23:17 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/bashish/bashish-1.9.21.ebuild,v 1.6 2004/06/29 03:51:55 vapier Exp $
DESCRIPTION="Text console theme engine"
HOMEPAGE="http://bashish.sourceforge.net/"
SRC_URI="mirror://sourceforge/bashish/${P}.tar.gz"
LICENSE="GPL-2"
-KEYWORDS="x86 ppc alpha sparc"
SLOT="0"
+KEYWORDS="x86 ppc sparc alpha"
+IUSE=""
src_unpack() {
unpack ${A}
diff --git a/app-shells/ccsh/ccsh-0.0.4-r2.ebuild b/app-shells/ccsh/ccsh-0.0.4-r2.ebuild
index 224ef3c01b8d..4defc22e5d77 100644
--- a/app-shells/ccsh/ccsh-0.0.4-r2.ebuild
+++ b/app-shells/ccsh/ccsh-0.0.4-r2.ebuild
@@ -1,32 +1,26 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/ccsh/ccsh-0.0.4-r2.ebuild,v 1.15 2004/06/24 22:23:28 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/ccsh/ccsh-0.0.4-r2.ebuild,v 1.16 2004/06/29 03:52:15 vapier Exp $
DESCRIPTION="UNIX Shell for people already familiar with the C language"
+HOMEPAGE="http://ccsh.sourceforge.net/"
SRC_URI="http://download.sourceforge.net/ccsh/${P}.tar.gz"
-HOMEPAGE="http://ccsh.sourceforge.net"
-KEYWORDS="x86 ppc sparc"
-SLOT="0"
+
LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 ppc sparc"
+IUSE=""
-DEPEND="virtual/glibc"
+DEPEND="virtual/libc"
src_compile() {
-
- make CFLAGS="${CFLAGS}" all
+ make CFLAGS="${CFLAGS}" all || die
}
src_install() {
-
into /
- dobin ccsh
+ dobin ccsh || die
into /usr
newman ccsh.man ccsh.1
- dodoc ChangeLog COPYING README TODO
-
+ dodoc ChangeLog README TODO
}
-
-
-
-
-
diff --git a/app-shells/dash/dash-0.4.24.ebuild b/app-shells/dash/dash-0.4.24.ebuild
index 7b8ee9034f34..bf6e34023690 100644
--- a/app-shells/dash/dash-0.4.24.ebuild
+++ b/app-shells/dash/dash-0.4.24.ebuild
@@ -1,23 +1,23 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.4.24.ebuild,v 1.6 2004/06/24 22:23:59 agriffis Exp $
-
-IUSE=""
+# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.4.24.ebuild,v 1.7 2004/06/29 03:53:13 vapier Exp $
MY_P="${P/-/_}"
-S=${WORKDIR}/${PN}
DESCRIPTION="Debian-version of NetBSD's lightweight bourne shell"
HOMEPAGE="http://ftp.debian.org/debian/pool/main/d/dash/"
SRC_URI="http://ftp.debian.org/debian/pool/main/d/dash/${MY_P}.tar.gz"
-SLOT="0"
LICENSE="BSD"
+SLOT="0"
KEYWORDS="x86 ppc"
+IUSE=""
DEPEND="sys-devel/pmake
sys-apps/sed
dev-util/yacc"
+S=${WORKDIR}/${PN}
+
src_compile() {
# pmake name conflicts, use full path
/usr/bin/pmake CFLAGS:="-Wall -DBSD=1 -DSMALL -D_GNU_SOURCE -DGL \
diff --git a/app-shells/dash/dash-0.4.26.ebuild b/app-shells/dash/dash-0.4.26.ebuild
index 80efe9075b43..28968675acce 100644
--- a/app-shells/dash/dash-0.4.26.ebuild
+++ b/app-shells/dash/dash-0.4.26.ebuild
@@ -1,23 +1,23 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.4.26.ebuild,v 1.2 2004/06/24 22:23:59 agriffis Exp $
-
-IUSE=""
+# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.4.26.ebuild,v 1.3 2004/06/29 03:53:13 vapier Exp $
MY_P="${P/-/_}"
-S=${WORKDIR}/${PN}
DESCRIPTION="Debian-version of NetBSD's lightweight bourne shell"
HOMEPAGE="http://ftp.debian.org/debian/pool/main/d/dash/"
SRC_URI="http://ftp.debian.org/debian/pool/main/d/dash/${MY_P}.tar.gz"
-SLOT="0"
LICENSE="BSD"
+SLOT="0"
KEYWORDS="~x86 ~ppc"
+IUSE=""
DEPEND="sys-devel/pmake
sys-apps/sed
dev-util/yacc"
+S=${WORKDIR}/${PN}
+
src_compile() {
# pmake name conflicts, use full path
/usr/bin/pmake CFLAGS:="-Wall -DBSD=1 -DSMALL -D_GNU_SOURCE -DGL \
diff --git a/app-shells/esh/esh-0.8-r2.ebuild b/app-shells/esh/esh-0.8-r2.ebuild
index 9f446b7a1c97..a0eee00acaa6 100644
--- a/app-shells/esh/esh-0.8-r2.ebuild
+++ b/app-shells/esh/esh-0.8-r2.ebuild
@@ -1,33 +1,33 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/esh/esh-0.8-r2.ebuild,v 1.15 2004/06/24 22:24:19 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/esh/esh-0.8-r2.ebuild,v 1.16 2004/06/29 03:54:48 vapier Exp $
-S=${WORKDIR}/esh
DESCRIPTION="A UNIX Shell with a simplified Scheme syntax"
-SRC_URI="http://esh.netpedia.net/${P}.tar.gz"
HOMEPAGE="http://esh.netpedia.net/"
-KEYWORDS="x86 sparc"
-SLOT="0"
+SRC_URI="http://esh.netpedia.net/${P}.tar.gz"
+
LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 sparc"
+IUSE=""
-DEPEND="virtual/glibc
- >=sys-libs/ncurses-5.1
- >=sys-libs/readline-4.1"
+DEPEND="virtual/libc
+ >=sys-libs/ncurses-5.1
+ >=sys-libs/readline-4.1"
-src_compile() {
+S=${WORKDIR}/${PN}
- cp Makefile Makefile.orig
- sed -e "s:^CFLAGS=:CFLAGS=${CFLAGS/-fomit-frame-pointer/} :" \
- -e "s:^LIB=:LIB=-lncurses :" Makefile.orig > Makefile
+src_compile() {
+ sed -i \
+ -e "s:^CFLAGS=:CFLAGS=${CFLAGS/-fomit-frame-pointer/} :" \
+ -e "s:^LIB=:LIB=-lncurses :" Makefile
make || die
}
src_install() {
-
- dobin esh
- into /usr
+ dobin esh || die
doinfo doc/esh.info
- dodoc CHANGELOG CREDITS GC_README HEADER LICENSE READLNE-HACKS TODO
+ dodoc CHANGELOG CREDITS GC_README HEADER READLNE-HACKS TODO
docinto html
dodoc doc/*.html
docinto examples
diff --git a/app-shells/esh/esh-0.8.5.ebuild b/app-shells/esh/esh-0.8.5.ebuild
index 5b77bb2489d6..9b20c99a0118 100644
--- a/app-shells/esh/esh-0.8.5.ebuild
+++ b/app-shells/esh/esh-0.8.5.ebuild
@@ -1,27 +1,28 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/esh/esh-0.8.5.ebuild,v 1.12 2004/06/24 22:24:19 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/esh/esh-0.8.5.ebuild,v 1.13 2004/06/29 03:54:48 vapier Exp $
-S=${WORKDIR}/esh
DESCRIPTION="A UNIX Shell with a simplified Scheme syntax"
-SRC_URI="http://slon.ttk.ru/esh/${P}.tar.gz"
HOMEPAGE="http://slon.ttk.ru/esh/"
-KEYWORDS="x86 -ppc sparc"
-SLOT="0"
+SRC_URI="http://slon.ttk.ru/esh/${P}.tar.gz"
+
LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 -ppc sparc"
+IUSE=""
-DEPEND="virtual/glibc
- >=sys-libs/ncurses-5.1
- >=sys-libs/readline-4.1"
+DEPEND="virtual/libc
+ >=sys-libs/ncurses-5.1
+ >=sys-libs/readline-4.1"
+S=${WORKDIR}/${PN}
src_compile() {
-
- cp Makefile Makefile.orig
- sed -e "s:^CFLAGS=:CFLAGS=${CFLAGS/-fomit-frame-pointer/} :" \
+ sed -i \
+ -e "s:^CFLAGS=:CFLAGS=${CFLAGS/-fomit-frame-pointer/} :" \
-e "s:^LIB=:LIB=-lncurses :" \
-e "s:-ltermcap::" \
- Makefile.orig > Makefile
+ Makefile
# For some reason, this tarball has binary files in it for x86.
# Make clean so we can rebuild for our arch and optimization.
make clean
@@ -29,11 +30,9 @@ src_compile() {
}
src_install() {
-
- dobin esh
- into /usr
+ dobin esh || die
doinfo doc/esh.info
- dodoc CHANGELOG CREDITS GC_README HEADER LICENSE READLNE-HACKS TODO
+ dodoc CHANGELOG CREDITS GC_README HEADER READLNE-HACKS TODO
dohtml doc/*.html
docinto examples
dodoc examples/*
diff --git a/app-shells/ksh/ksh-93.20030724.ebuild b/app-shells/ksh/ksh-93.20030724.ebuild
index 207b450ed613..17eb81c006b0 100644
--- a/app-shells/ksh/ksh-93.20030724.ebuild
+++ b/app-shells/ksh/ksh-93.20030724.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/ksh/ksh-93.20030724.ebuild,v 1.10 2004/06/24 22:24:40 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/ksh/ksh-93.20030724.ebuild,v 1.11 2004/06/29 03:55:36 vapier Exp $
inherit ccc eutils flag-o-matic
@@ -13,10 +13,10 @@ SRC_URI="http://www.research.att.com/~gsf/download/tgz/INIT.${RELEASE}.tgz
LICENSE="ATT"
SLOT="0"
-KEYWORDS="x86 alpha sparc"
+KEYWORDS="x86 sparc alpha"
IUSE="static nls"
-DEPEND="virtual/glibc !app-shells/pdksh"
+DEPEND="virtual/libc !app-shells/pdksh"
S=${WORKDIR}
diff --git a/app-shells/ksh/ksh-93.20040229.ebuild b/app-shells/ksh/ksh-93.20040229.ebuild
index 4422411c9877..cdb5b9bee80d 100644
--- a/app-shells/ksh/ksh-93.20040229.ebuild
+++ b/app-shells/ksh/ksh-93.20040229.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/ksh/ksh-93.20040229.ebuild,v 1.5 2004/06/24 22:24:40 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/ksh/ksh-93.20040229.ebuild,v 1.6 2004/06/29 03:55:36 vapier Exp $
inherit ccc eutils flag-o-matic
@@ -16,7 +16,7 @@ SLOT="0"
KEYWORDS="~x86 ~sparc ~alpha arm s390"
IUSE="static nls"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
!app-shells/pdksh"
S=${WORKDIR}
diff --git a/app-shells/pdksh/pdksh-5.2.14-r4.ebuild b/app-shells/pdksh/pdksh-5.2.14-r4.ebuild
index e1e36c87ceb4..0b9cf50b00de 100644
--- a/app-shells/pdksh/pdksh-5.2.14-r4.ebuild
+++ b/app-shells/pdksh/pdksh-5.2.14-r4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/pdksh/pdksh-5.2.14-r4.ebuild,v 1.21 2004/06/24 22:24:51 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/pdksh/pdksh-5.2.14-r4.ebuild,v 1.22 2004/06/29 03:55:58 vapier Exp $
inherit eutils
@@ -9,12 +9,12 @@ HOMEPAGE="http://www.cs.mun.ca/~michael/pdksh/"
SRC_URI="ftp://ftp.cs.mun.ca/pub/pdksh/${P}.tar.gz
ftp://ftp.cs.mun.ca/pub/pdksh/${P}-patches.1"
-SLOT="0"
LICENSE="as-is"
-KEYWORDS="x86 ppc sparc alpha ~hppa ~mips amd64 ia64 ~ppc64 s390"
+SLOT="0"
+KEYWORDS="x86 ppc sparc ~mips alpha ~hppa amd64 ia64 ~ppc64 s390"
IUSE=""
-DEPEND=">=sys-libs/glibc-2.1.3
+DEPEND="virtual/libc
sys-apps/coreutils"
src_unpack() {
diff --git a/app-shells/posh/posh-0.2.28.ebuild b/app-shells/posh/posh-0.2.28.ebuild
index 0794d8b44769..b3d923d057c2 100644
--- a/app-shells/posh/posh-0.2.28.ebuild
+++ b/app-shells/posh/posh-0.2.28.ebuild
@@ -1,21 +1,17 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/posh/posh-0.2.28.ebuild,v 1.6 2004/06/24 22:25:02 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/posh/posh-0.2.28.ebuild,v 1.7 2004/06/29 03:56:17 vapier Exp $
-DESCRIPTION="posh is a stripped-down version of pdksh that aims for compliance with Debian's policy, and few extra features"
-HOMEPAGE="http://packages.debian.org/posh"
+DESCRIPTION="stripped-down version of pdksh"
+HOMEPAGE="http://packages.debian.org/posh/"
SRC_URI="mirror://debian/pool/main/p/posh/${P/-/_}.tar.gz"
-LICENSE="GPL-2"
+LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE=""
-DEPEND=""
-src_compile() {
- econf || die "econf failed"
- emake || die
-}
+DEPEND=""
src_install() {
einstall bindir=${D}/bin
diff --git a/app-shells/psh/psh-0.009-r1.ebuild b/app-shells/psh/psh-0.009-r1.ebuild
index e8c40f3fb925..be8b00c1d39e 100644
--- a/app-shells/psh/psh-0.009-r1.ebuild
+++ b/app-shells/psh/psh-0.009-r1.ebuild
@@ -1,19 +1,20 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/psh/psh-0.009-r1.ebuild,v 1.15 2004/06/24 22:25:13 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/psh/psh-0.009-r1.ebuild,v 1.16 2004/06/29 03:56:45 vapier Exp $
DESCRIPTION="Combines the interactive nature of a Unix shell with the power of Perl"
-SRC_URI="http://www.focusresearch.com/gregor/psh/${P}.tar.gz"
HOMEPAGE="http://www.focusresearch.com/gregor/psh/"
+SRC_URI="http://www.focusresearch.com/gregor/psh/${P}.tar.gz"
+
LICENSE="Artistic | GPL-2"
-KEYWORDS="x86 ppc sparc"
SLOT="0"
+KEYWORDS="x86 ppc sparc"
+IUSE=""
DEPEND=">=dev-lang/perl-5"
src_compile() {
perl Makefile.PL
-
make || die
}
@@ -23,14 +24,6 @@ src_install() {
INSTALLMAN3DIR=${D}/usr/share/man/man3 \
install || die
- dodoc COPYRIGHT HACKING MANIFEST README* RELEASE TODO
+ dodoc HACKING MANIFEST README* RELEASE TODO
dodoc examples/complete-examples
}
-
-
-
-
-
-
-
-
diff --git a/app-shells/psh/psh-0.009-r2.ebuild b/app-shells/psh/psh-0.009-r2.ebuild
index 5677e28bb2ea..1629396cb93c 100644
--- a/app-shells/psh/psh-0.009-r2.ebuild
+++ b/app-shells/psh/psh-0.009-r2.ebuild
@@ -1,15 +1,16 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/psh/psh-0.009-r2.ebuild,v 1.12 2004/06/24 22:25:13 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/psh/psh-0.009-r2.ebuild,v 1.13 2004/06/29 03:56:45 vapier Exp $
inherit perl-module
DESCRIPTION="Combines the interactive nature of a Unix shell with the power of Perl"
-SRC_URI="http://www.focusresearch.com/gregor/psh/${P}.tar.gz"
HOMEPAGE="http://www.focusresearch.com/gregor/psh/"
+SRC_URI="http://www.focusresearch.com/gregor/psh/${P}.tar.gz"
+
LICENSE="Artistic | GPL-2"
SLOT="0"
KEYWORDS="x86 ppc sparc"
+IUSE=""
DEPEND=">=dev-lang/perl-5"
-
diff --git a/app-shells/psh/psh-1.8.ebuild b/app-shells/psh/psh-1.8.ebuild
index a5bf9d613970..e2c8248a0f0b 100644
--- a/app-shells/psh/psh-1.8.ebuild
+++ b/app-shells/psh/psh-1.8.ebuild
@@ -1,15 +1,17 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/psh/psh-1.8.ebuild,v 1.6 2004/06/24 22:25:13 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/psh/psh-1.8.ebuild,v 1.7 2004/06/29 03:56:45 vapier Exp $
inherit perl-module
DESCRIPTION="Combines the interactive nature of a Unix shell with the power of Perl"
-SRC_URI="http://www.focusresearch.com/gregor/psh/${P}.tar.gz"
HOMEPAGE="http://www.focusresearch.com/gregor/psh/"
+SRC_URI="http://www.focusresearch.com/gregor/psh/${P}.tar.gz"
+
LICENSE="Artistic | GPL-2"
SLOT="0"
KEYWORDS="x86 ~ppc sparc alpha ia64"
+IUSE=""
DEPEND=">=dev-lang/perl-5"
diff --git a/app-shells/rrs/rrs-1.50.ebuild b/app-shells/rrs/rrs-1.50.ebuild
index 9af9f3201751..7df08528943a 100644
--- a/app-shells/rrs/rrs-1.50.ebuild
+++ b/app-shells/rrs/rrs-1.50.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/rrs/rrs-1.50.ebuild,v 1.5 2004/06/24 22:25:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/rrs/rrs-1.50.ebuild,v 1.6 2004/06/29 03:57:50 vapier Exp $
inherit eutils
@@ -14,7 +14,7 @@ KEYWORDS="x86 ~ppc"
IUSE="ssl"
DEPEND="ssl? ( dev-libs/openssl )
- virtual/glibc"
+ virtual/libc"
src_unpack() {
unpack ${A}
diff --git a/app-shells/rrs/rrs-1.55.ebuild b/app-shells/rrs/rrs-1.55.ebuild
index f665552df896..ed56f9bf0a81 100644
--- a/app-shells/rrs/rrs-1.55.ebuild
+++ b/app-shells/rrs/rrs-1.55.ebuild
@@ -1,17 +1,18 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/rrs/rrs-1.55.ebuild,v 1.3 2004/06/24 22:25:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/rrs/rrs-1.55.ebuild,v 1.4 2004/06/29 03:57:50 vapier Exp $
DESCRIPTION="Reverse Remote Shell"
HOMEPAGE="http://www.cycom.se/dl/rrs"
SRC_URI="http://www.cycom.se/uploads/36/18/${P}.tar.gz"
+
LICENSE="MIT"
SLOT="0"
KEYWORDS="x86 ~ppc"
IUSE="ssl"
DEPEND="ssl? ( dev-libs/openssl )
- virtual/glibc"
+ virtual/libc"
src_compile() {
local target=""
@@ -22,7 +23,7 @@ src_compile() {
}
src_install() {
- dobin rrs
+ dobin rrs || die
dodoc CHANGES README
doman rrs.1
}
diff --git a/app-shells/rrs/rrs-1.70.ebuild b/app-shells/rrs/rrs-1.70.ebuild
index bc2336a563ee..a7bff2bd2c61 100644
--- a/app-shells/rrs/rrs-1.70.ebuild
+++ b/app-shells/rrs/rrs-1.70.ebuild
@@ -1,17 +1,18 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/rrs/rrs-1.70.ebuild,v 1.2 2004/06/24 22:25:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/rrs/rrs-1.70.ebuild,v 1.3 2004/06/29 03:57:50 vapier Exp $
DESCRIPTION="Reverse Remote Shell"
HOMEPAGE="http://www.cycom.se/dl/rrs"
SRC_URI="http://www.cycom.se/uploads/36/19/${P}.tar.gz"
+
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~ppc"
IUSE="ssl"
DEPEND="ssl? ( dev-libs/openssl )
- virtual/glibc"
+ virtual/libc"
src_compile() {
local target=""
@@ -22,7 +23,7 @@ src_compile() {
}
src_install() {
- dobin rrs
+ dobin rrs || die
dodoc CHANGES README
doman rrs.1
}
diff --git a/app-shells/rssh/rssh-2.2.1.ebuild b/app-shells/rssh/rssh-2.2.1.ebuild
index 5ce98cd2b6af..ba75e099ee93 100644
--- a/app-shells/rssh/rssh-2.2.1.ebuild
+++ b/app-shells/rssh/rssh-2.2.1.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/rssh/rssh-2.2.1.ebuild,v 1.2 2004/06/25 03:18:20 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/rssh/rssh-2.2.1.ebuild,v 1.3 2004/06/29 03:58:10 vapier Exp $
-DESCRIPTION="Restricted shell for SSHd."
+DESCRIPTION="Restricted shell for SSHd"
HOMEPAGE="http://rssh.sourceforge.net/"
SRC_URI="mirror://sourceforge/rssh/${P}.tar.gz"
diff --git a/app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild b/app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild
index f4fdd1e4aa45..724effc28085 100644
--- a/app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild
+++ b/app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild,v 1.2 2004/06/25 03:18:36 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/sandboxshell/sandboxshell-0.1-r1.ebuild,v 1.3 2004/06/29 03:58:29 vapier Exp $
DESCRIPTION="launch a sandboxed shell ... useful for debugging ebuilds"
HOMEPAGE="http://wh0rd.org/"
@@ -9,7 +9,7 @@ SRC_URI=""
LICENSE="public-domain"
SLOT="0"
KEYWORDS="x86 ppc sparc mips alpha arm hppa amd64"
-# if portage works, this will work ;)
+IUSE=""
DEPEND=""
RDEPEND="sys-apps/portage
@@ -18,7 +18,7 @@ RDEPEND="sys-apps/portage
S=${WORKDIR}
src_install() {
- dobin ${FILESDIR}/sandboxshell
+ dobin ${FILESDIR}/sandboxshell || die
doman ${FILESDIR}/sandboxshell.1
insinto /etc
doins ${FILESDIR}/sandboxshell.conf
diff --git a/app-shells/sash/sash-3.6.ebuild b/app-shells/sash/sash-3.6.ebuild
index 67a7ae9836bc..10cebea48eb1 100644
--- a/app-shells/sash/sash-3.6.ebuild
+++ b/app-shells/sash/sash-3.6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/sash/sash-3.6.ebuild,v 1.16 2004/06/24 22:25:34 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/sash/sash-3.6.ebuild,v 1.17 2004/06/29 03:58:52 vapier Exp $
inherit eutils
@@ -10,10 +10,10 @@ SRC_URI="http://www.canb.auug.org.au/~dbell/programs/${P}.tar.gz"
LICENSE="freedist"
SLOT="0"
+KEYWORDS="x86 ppc sparc mips alpha hppa amd64 ~ia64 ppc64"
IUSE="readline"
-KEYWORDS="x86 ppc sparc alpha hppa mips ~ia64 ppc64 amd64"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=sys-libs/zlib-1.1.4
readline? ( >=sys-libs/readline-4.1 >=sys-libs/ncurses-5.2 )"
RDEPEND=""
diff --git a/app-shells/sash/sash-3.7.ebuild b/app-shells/sash/sash-3.7.ebuild
index 934cdc2ab596..248e31141198 100644
--- a/app-shells/sash/sash-3.7.ebuild
+++ b/app-shells/sash/sash-3.7.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/sash/sash-3.7.ebuild,v 1.7 2004/06/24 22:25:34 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/sash/sash-3.7.ebuild,v 1.8 2004/06/29 03:58:52 vapier Exp $
inherit eutils flag-o-matic
@@ -13,7 +13,7 @@ SLOT="0"
KEYWORDS="~x86 ~ppc ~sparc ~mips ~alpha arm ~hppa amd64 ia64 ~ppc64 s390"
IUSE="readline"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=sys-libs/zlib-1.1.4
readline? ( >=sys-libs/readline-4.1 >=sys-libs/ncurses-5.2 )"
RDEPEND=""
diff --git a/app-shells/scsh/scsh-0.6.1-r1.ebuild b/app-shells/scsh/scsh-0.6.1-r1.ebuild
index e7128495d540..984e99e85ebc 100644
--- a/app-shells/scsh/scsh-0.6.1-r1.ebuild
+++ b/app-shells/scsh/scsh-0.6.1-r1.ebuild
@@ -1,16 +1,17 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.1-r1.ebuild,v 1.14 2004/06/24 22:25:45 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.1-r1.ebuild,v 1.15 2004/06/29 03:59:24 vapier Exp $
DESCRIPTION="Unix shell embedded in Scheme"
-SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
HOMEPAGE="http://www.scsh.net/"
+SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
-SLOT="0"
LICENSE="as-is | BSD | GPL-2"
+SLOT="0"
KEYWORDS="x86 ppc sparc"
+IUSE=""
-DEPEND="virtual/glibc"
+DEPEND="virtual/libc"
src_compile() {
econf --prefix=/ \
diff --git a/app-shells/scsh/scsh-0.6.3.ebuild b/app-shells/scsh/scsh-0.6.3.ebuild
index 9b5c4c30ecf3..117a84ec4cec 100644
--- a/app-shells/scsh/scsh-0.6.3.ebuild
+++ b/app-shells/scsh/scsh-0.6.3.ebuild
@@ -1,16 +1,16 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.3.ebuild,v 1.2 2004/06/24 22:25:45 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.3.ebuild,v 1.3 2004/06/29 03:59:24 vapier Exp $
DESCRIPTION="Unix shell embedded in Scheme"
-SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
HOMEPAGE="http://www.scsh.net/"
+SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
-SLOT="0"
LICENSE="as-is | BSD | GPL-2"
+SLOT="0"
KEYWORDS="x86 ppc sparc"
-
IUSE=""
+
DEPEND=""
src_compile() {
diff --git a/app-shells/scsh/scsh-0.6.4.ebuild b/app-shells/scsh/scsh-0.6.4.ebuild
index 0f648f062394..824374e8f662 100644
--- a/app-shells/scsh/scsh-0.6.4.ebuild
+++ b/app-shells/scsh/scsh-0.6.4.ebuild
@@ -1,16 +1,16 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.4.ebuild,v 1.2 2004/06/24 22:25:45 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.4.ebuild,v 1.3 2004/06/29 03:59:24 vapier Exp $
DESCRIPTION="Unix shell embedded in Scheme"
-SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
HOMEPAGE="http://www.scsh.net/"
+SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
-SLOT="0"
LICENSE="as-is | BSD | GPL-2"
+SLOT="0"
KEYWORDS="x86 ppc sparc"
-
IUSE=""
+
DEPEND=""
src_compile() {
diff --git a/app-shells/scsh/scsh-0.6.5.ebuild b/app-shells/scsh/scsh-0.6.5.ebuild
index c17b0edd300d..24241a04de53 100644
--- a/app-shells/scsh/scsh-0.6.5.ebuild
+++ b/app-shells/scsh/scsh-0.6.5.ebuild
@@ -1,14 +1,15 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.5.ebuild,v 1.2 2004/06/24 22:25:45 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/scsh/scsh-0.6.5.ebuild,v 1.3 2004/06/29 03:59:24 vapier Exp $
DESCRIPTION="Unix shell embedded in Scheme"
-SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
HOMEPAGE="http://www.scsh.net/"
+SRC_URI="ftp://ftp.scsh.net/pub/scsh/0.6/${P}.tar.gz"
-SLOT="0"
LICENSE="as-is | BSD | GPL-2"
+SLOT="0"
KEYWORDS="x86 ppc sparc"
+IUSE=""
DEPEND=""
@@ -19,7 +20,7 @@ src_compile() {
src_install() {
make DESTDIR=${D} install || die
- dodoc RELEASE COPYING
+ dodoc RELEASE
# Let Scsh install the documentation and then clean up afterwards
dosed "s:${D}::" /usr/share/man/man1/scsh.1
dodir /usr/share/doc/${PF}
diff --git a/app-shells/smrsh/smrsh-8.12.10.ebuild b/app-shells/smrsh/smrsh-8.12.10.ebuild
index 03461a5b8fce..c69e6908449a 100644
--- a/app-shells/smrsh/smrsh-8.12.10.ebuild
+++ b/app-shells/smrsh/smrsh-8.12.10.ebuild
@@ -1,14 +1,15 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/smrsh/smrsh-8.12.10.ebuild,v 1.4 2004/06/24 22:25:56 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/smrsh/smrsh-8.12.10.ebuild,v 1.5 2004/06/29 03:59:43 vapier Exp $
-DESCRIPTION="Sendmail restricted shell, for use with MTAs other than Sendmail."
-HOMEPAGE="http://www.sendmail.org"
+DESCRIPTION="Sendmail restricted shell, for use with MTAs other than Sendmail"
+HOMEPAGE="http://www.sendmail.org/"
SRC_URI="ftp://ftp.sendmail.org/pub/sendmail/sendmail.${PV}.tar.gz"
LICENSE="Sendmail"
SLOT="0"
KEYWORDS="x86"
+IUSE=""
DEPEND="sys-devel/m4
>=sys-apps/sed-4"
@@ -30,7 +31,7 @@ src_compile() {
/bin/sh Build
}
-src_install () {
+src_install() {
cd "${S}/${PN}"
dosbin "${S}/obj.$(uname -s).$(uname -r).$(arch)/${PN}/${PN}"
diff --git a/app-shells/tcsh/tcsh-6.11.ebuild b/app-shells/tcsh/tcsh-6.11.ebuild
index d378605d7e0b..c9b9dee289f7 100644
--- a/app-shells/tcsh/tcsh-6.11.ebuild
+++ b/app-shells/tcsh/tcsh-6.11.ebuild
@@ -1,36 +1,33 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.11.ebuild,v 1.13 2004/06/24 22:26:07 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.11.ebuild,v 1.14 2004/06/29 04:00:06 vapier Exp $
-IUSE="perl"
+inherit eutils
S=${WORKDIR}/${P}.00
DESCRIPTION="Enhanced version of the Berkeley C shell (csh)"
+HOMEPAGE="http://www.tcsh.org/"
SRC_URI="ftp://ftp.gw.com/pub/unix/tcsh/${P}.tar.gz
ftp://ftp.astron.com/pub/tcsh/${P}.tar.gz
ftp://ftp.funet.fi/pub/unix/shells/tcsh/${P}.tar.gz"
-HOMEPAGE="http://www.tcsh.org/"
-DEPEND="virtual/glibc
- >=sys-libs/ncurses-5.1
- perl? ( dev-lang/perl )"
-
-HOMEPAGE="http://www.tcsh.org/"
-SLOT="0"
LICENSE="BSD"
+SLOT="0"
KEYWORDS="x86 ppc sparc"
+IUSE="perl"
+
+DEPEND="virtual/libc
+ >=sys-libs/ncurses-5.1
+ perl? ( dev-lang/perl )"
src_unpack() {
unpack ${A}
cd ${S}
- patch -p0 < ${FILESDIR}/${P}-tc.os.h-gentoo.diff || die
+ epatch ${FILESDIR}/${P}-tc.os.h-gentoo.diff
}
src_compile() {
-
- econf \
- --prefix=/ || die
-
+ econf --prefix=/ || die
emake || die
}
diff --git a/app-shells/tcsh/tcsh-6.12-r2.ebuild b/app-shells/tcsh/tcsh-6.12-r2.ebuild
index 75004b7710f2..85da9fe1cd81 100644
--- a/app-shells/tcsh/tcsh-6.12-r2.ebuild
+++ b/app-shells/tcsh/tcsh-6.12-r2.ebuild
@@ -1,18 +1,20 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.12-r2.ebuild,v 1.11 2004/06/24 22:26:07 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.12-r2.ebuild,v 1.12 2004/06/29 04:00:06 vapier Exp $
+
+inherit eutils
MY_P="${PN}-${PV}.00"
DESCRIPTION="Enhanced version of the Berkeley C shell (csh)"
-SRC_URI="ftp://ftp.astron.com/pub/tcsh/${MY_P}.tar.gz"
HOMEPAGE="http://www.tcsh.org/"
+SRC_URI="ftp://ftp.astron.com/pub/tcsh/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="x86 ~ppc sparc alpha ia64 amd64 hppa"
+KEYWORDS="x86 ~ppc sparc alpha hppa amd64 ia64"
IUSE="cjk perl"
-RDEPEND="virtual/glibc
+RDEPEND="virtual/libc
>=sys-libs/ncurses-5.1
perl? ( dev-lang/perl )"
@@ -21,11 +23,8 @@ S="${WORKDIR}/${MY_P}"
src_unpack() {
unpack ${A}
cd ${S}
- patch -p0 < ${FILESDIR}/${P}-tc.os.h-gentoo.diff || die
- if use cjk
- then
- patch -p0 < ${FILESDIR}/tcsh_enable_kanji.diff || die
- fi
+ epatch ${FILESDIR}/${P}-tc.os.h-gentoo.diff
+ use cjk && epatch ${FILESDIR}/tcsh_enable_kanji.diff
}
src_compile() {
diff --git a/app-shells/tcsh/tcsh-6.12-r3.ebuild b/app-shells/tcsh/tcsh-6.12-r3.ebuild
index 7651410b9afa..9f491c401f3f 100644
--- a/app-shells/tcsh/tcsh-6.12-r3.ebuild
+++ b/app-shells/tcsh/tcsh-6.12-r3.ebuild
@@ -1,20 +1,20 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.12-r3.ebuild,v 1.7 2004/06/24 22:26:07 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/tcsh/tcsh-6.12-r3.ebuild,v 1.8 2004/06/29 04:00:06 vapier Exp $
inherit eutils
MY_P="${PN}-${PV}.00"
DESCRIPTION="Enhanced version of the Berkeley C shell (csh)"
-SRC_URI="ftp://ftp.astron.com/pub/tcsh/${MY_P}.tar.gz"
HOMEPAGE="http://www.tcsh.org/"
+SRC_URI="ftp://ftp.astron.com/pub/tcsh/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="x86 ~ppc sparc alpha arm hppa amd64 ia64 ppc64"
IUSE="cjk perl"
-RDEPEND="virtual/glibc
+RDEPEND="virtual/libc
>=sys-libs/ncurses-5.1
perl? ( dev-lang/perl )"
diff --git a/app-shells/zsh/zsh-4.0.9-r3.ebuild b/app-shells/zsh/zsh-4.0.9-r3.ebuild
index 539e9524ff38..cad67333ddfd 100644
--- a/app-shells/zsh/zsh-4.0.9-r3.ebuild
+++ b/app-shells/zsh/zsh-4.0.9-r3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.0.9-r3.ebuild,v 1.5 2004/06/24 22:26:18 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.0.9-r3.ebuild,v 1.6 2004/06/29 04:00:30 vapier Exp $
inherit flag-o-matic eutils
@@ -13,12 +13,12 @@ SRC_URI="ftp://ftp.zsh.org/pub/${P}.tar.bz2
LICENSE="ZSH"
SLOT="0"
-KEYWORDS="x86 alpha ppc ~sparc"
+KEYWORDS="x86 ppc ~sparc alpha"
IUSE="maildir ncurses static doc cjk"
RDEPEND="ncurses? ( >=sys-libs/ncurses-5.1 )"
DEPEND="${RDEPEND}
- virtual/glibc
+ virtual/libc
sys-apps/groff"
src_unpack() {
diff --git a/app-shells/zsh/zsh-4.1.1-r4.ebuild b/app-shells/zsh/zsh-4.1.1-r4.ebuild
index 7ce2e8335524..b12a995e503d 100644
--- a/app-shells/zsh/zsh-4.1.1-r4.ebuild
+++ b/app-shells/zsh/zsh-4.1.1-r4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.1.1-r4.ebuild,v 1.5 2004/06/24 22:26:18 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.1.1-r4.ebuild,v 1.6 2004/06/29 04:00:30 vapier Exp $
inherit flag-o-matic eutils
@@ -12,7 +12,7 @@ SRC_URI="ftp://ftp.zsh.org/pub/${P}.tar.bz2
LICENSE="ZSH"
SLOT="0"
-KEYWORDS="x86 alpha ppc sparc amd64 hppa"
+KEYWORDS="x86 ppc sparc alpha hppa amd64"
IUSE="cjk maildir ncurses static doc"
RDEPEND=">=dev-libs/libpcre-3.9
diff --git a/app-shells/zsh/zsh-4.1.1-r5.ebuild b/app-shells/zsh/zsh-4.1.1-r5.ebuild
index a6225ab27f75..6251aa0ffc55 100644
--- a/app-shells/zsh/zsh-4.1.1-r5.ebuild
+++ b/app-shells/zsh/zsh-4.1.1-r5.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.1.1-r5.ebuild,v 1.7 2004/06/24 22:26:18 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.1.1-r5.ebuild,v 1.8 2004/06/29 04:00:30 vapier Exp $
inherit flag-o-matic eutils
@@ -13,7 +13,7 @@ SRC_URI="ftp://ftp.zsh.org/pub/${P}.tar.bz2
LICENSE="ZSH"
SLOT="0"
-KEYWORDS="x86 alpha ppc sparc ~amd64 hppa"
+KEYWORDS="x86 ppc sparc alpha hppa ~amd64"
IUSE="cjk maildir ncurses static doc"
RDEPEND=">=dev-libs/libpcre-3.9
diff --git a/app-shells/zsh/zsh-4.2.0.ebuild b/app-shells/zsh/zsh-4.2.0.ebuild
index acd17e2ffb58..72fe99bd7b52 100644
--- a/app-shells/zsh/zsh-4.2.0.ebuild
+++ b/app-shells/zsh/zsh-4.2.0.ebuild
@@ -1,28 +1,25 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.2.0.ebuild,v 1.7 2004/06/24 22:26:18 agriffis Exp $
-
-IUSE="maildir ncurses static doc pcre cap"
+# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-4.2.0.ebuild,v 1.8 2004/06/29 04:00:30 vapier Exp $
DESCRIPTION="UNIX Shell similar to the Korn shell"
HOMEPAGE="http://www.zsh.org/"
-
MYDATE="20040204"
MY_P="${P/_pre/-pre-}"
-
SRC_URI="ftp://ftp.zsh.org/pub/${MY_P}.tar.bz2
doc? ( ftp://ftp.zsh.org/pub/${MY_P}-doc.tar.bz2 )"
-SLOT="0"
LICENSE="ZSH"
-KEYWORDS="x86 alpha ppc sparc ~amd64 hppa"
+SLOT="0"
+KEYWORDS="x86 ppc sparc alpha hppa ~amd64"
+IUSE="maildir ncurses static doc pcre cap"
-DEPEND="sys-apps/groff
- >=sys-apps/sed-4
- ${RDEPEND}"
RDEPEND="pcre? ( >=dev-libs/libpcre-3.9 )
cap? ( sys-libs/libcap )
ncurses? ( >=sys-libs/ncurses-5.1 )"
+DEPEND="sys-apps/groff
+ >=sys-apps/sed-4
+ ${RDEPEND}"
S="${WORKDIR}/${MY_P}"